=== debian/changelog ===
scotch (6.0.4.dfsg1-8) unstable; urgency=medium

  * Team upload.
  * Don't halt on test errors for powerpcspe
    (may segfault on INTSIZE64, but the default INT is still useful)
  * Skip tests altogether on hurd, m68k (their timeout and qemu test
    failures can't simply be ignored).
  * Create a fill-in man page scotch_binaries.1 to cover sundry
    binaries scotch_esmumps, scotch_gbase, acpl, amk_grf, mcv for which
    a man page is not available. Closes: #883824.
  * Install with executable [pt]scotch.install to distinguish scotch
    from ptscotch binaries at package build time.
  * debian patch fix_manpages.patch fixes errors using quotes '' at
    the beginning of lines in gout and dgscat man pages.
  * Use automatic symbol packages (-dbgsym) instead of old -dbg packages
  * Standards-Version: 4.1.2

 -- Drew Parsons <dparsons@debian.org>  Wed, 20 Dec 2017 14:29:43 +0800

scotch (6.0.4.dfsg1-7) unstable; urgency=medium

  * Team upload.
  * Don't halt on test errors on hurd, m68k:
    - hurd times out on buildd during build-time checks
    - m68k segfaults inside the qemu emulator used for builds

 -- Drew Parsons <dparsons@debian.org>  Mon, 27 Nov 2017 10:45:25 +0800

scotch (6.0.4.dfsg1-6) unstable; urgency=medium

  * Team upload.
  * debian/rules: provide path to built libs (LD_LIBRARY_PATH) when
    running build-time checks.
    - should enable tests to run successfully, so reinstate
      halt-on-error for checks
  * -DSCOTCH_PTHREAD_AFFINITY_LINUX (pthread_setaffinity_np) is not
    supported by hurd (kfreebsd does support it)

 -- Drew Parsons <dparsons@debian.org>  Sun, 26 Nov 2017 22:59:12 +0800

scotch (6.0.4.dfsg1-5) unstable; urgency=medium

  * Team upload.
  * debian/rules: apply "set -e" at the build step to halt on build
    error. Closes: #865671.
    - treat tests (make check) as information-only, don't halt on
      check failure
  * improve thread handling with -DSCOTCH_PTHREAD_NUMBER=2 and
    -DSCOTCH_PTHREAD_AFFINITY_LINUX (see INSTALL.txt)

 -- Drew Parsons <dparsons@debian.org>  Sun, 26 Nov 2017 10:29:40 +0800

scotch (6.0.4.dfsg1-4) unstable; urgency=medium

  * Team upload.
  * Rename correct-ptscotch-header.patch as include_headers.patch:
    include scotch.h in [par]metis.h to define SCOTCH_Num.
  * Include stdio.h in scotch.h (in C).

 -- Drew Parsons <dparsons@debian.org>  Fri, 17 Nov 2017 01:01:42 +0800

scotch (6.0.4.dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Reorganise debian's Makefile_*.inc makefile fragments to use a
    common CFLAGS and LDFLAGS (defined in debian/rules).
  * add HAVE_SYS_TIME_H to hurd flags to ensure timeval is defined.
    Closes: #881200.

 -- Drew Parsons <dparsons@debian.org>  Fri, 10 Nov 2017 13:25:40 +0800

scotch (6.0.4.dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Upload scotch 6 to unstable.

 -- Drew Parsons <dparsons@debian.org>  Wed, 08 Nov 2017 15:41:18 +0800

scotch (6.0.4.dfsg1-1exp1) experimental; urgency=medium

  * Team upload.

  [ Nico Schlömer ]
  * New upstream release. Closes: #731965.

  [ Christophe Trophime ]
  * debian patch correct-ptscotch-header.patch: include mpi.h.
  * debian/Makefile*: fix patchlevel version

  [ Drew Parsons ]
  * Standards-Version: 4.1.1
  * debhelper compatibility level 10
  * debian/control: Priority: optional not extra
  * shared directories use multiarch /usr/lib/${DEB_HOST_MULTIARCH}
  * scotch: install scotch_gpart alongside scotch_gmap. Closes: #728995.

 -- Drew Parsons <dparsons@debian.org>  Sun, 29 Oct 2017 03:11:16 +0800

scotch (6.0.0.dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release
  * debian/control:
     - Standards-Version: 3.9.4 (no changes needed)

 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Thu, 05 Sep 2013 08:36:12 +0200

scotch (5.1.12b.dfsg-3) unstable; urgency=low

  * debian/control
      remove obsolete DM-Upload-Allowed 
  * debian/rules
      modify install target: add cstdio include to [pt]scotch.h 
      Fix broken symlinks (Closes: #715107)
      Fix [par]metis-compatibility symlinks (Closes: #715112)
  * update build-fixes.patch (fix ld warnings)
  
 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Fri, 19 Aug 2013 14:15:10 +0100
