=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg1$// \
 https://gforge.inria.fr/frs/?group_id=248 /frs/download.php/.*/scotch_([\d.]+)\.ta?r?\.?gz
